from settings_base import *

from secrets import SECRET_KEY

import os, sys
from django.core.urlresolvers import reverse_lazy

PROJECT_DIR = os.path.dirname(os.path.abspath(__file__))
BASE_DIR = os.path.dirname(PROJECT_DIR)

DEBUG = False

ALLOWED_HOSTS = ["www.eleves.ens.fr"]

ADMINS = (
        ('Robin Champenois', 'champeno@clipper.ens.fr'),
    )

ADMIN_LOGINS = [
    "champeno",
]

SERVER_EMAIL = "experiens@www.eleves.ens.fr"

ROOT_URL = "/experiens/"

WSGI_APPLICATION = 'experiENS.wsgi.application'

DATABASES = {
    'default': {
        'ENGINE': 'django.contrib.gis.db.backends.postgis',
        'NAME': 'experiens',
        'USER': 'experiens',
        'PASSWORD': '',
        'HOST': '',
        'PORT': '5432',
    }
}

STATIC_URL = ROOT_URL + 'static/'
MEDIA_URL = ROOT_URL + 'media/'

STATIC_ROOT = os.path.join(BASE_DIR, 'static/')

EMAIL_HOST = "nef.ens.fr"


ELASTICSEARCH_DSL = {
    'default': {
        'hosts': '127.0.0.1:9200'
    },
}
