from django.conf import settings
from django.conf.urls import include, url
from django.contrib import admin

from django_cas_ng import views as django_cas_views

urlpatterns = [
    url(r'^', include('avisstage.urls', namespace='avisstage')),
    
    url(r'^login/$', django_cas_views.login, name = "login"),
    url(r'^logout/$', django_cas_views.logout, name = "logout"),
    url(r'^tinymce/', include('tinymce.urls')),
    url(r'^taggit_autosuggest/', include('taggit_autosuggest.urls')),
    url(r'^admin/', include(admin.site.urls)),
]

if settings.DEBUG:
    import debug_toolbar
    urlpatterns = [
        url(r'^__debug__/', include(debug_toolbar.urls)),
    ] + urlpatterns
